Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GeomParticleRenderer Class Reference
Inheritance diagram for GeomParticleRenderer:

## Public Member Functions
| GeomParticleRenderer (const GeomParticleRenderer &copy)
| copy constructor
| GeomParticleRenderer (ParticleRendererAlphaMode am=PR_ALPHA_NONE, PandaNode *geom_node=nullptr)
| constructor
virtual | ~GeomParticleRenderer ()
| destructor
ColorInterpolationManager * | get_color_interpolation_manager () const
PN_stdfloat | get_final_x_scale () const
PN_stdfloat | get_final_y_scale () const
PN_stdfloat | get_final_z_scale () const
PandaNode * | get_geom_node ()
PN_stdfloat | get_initial_x_scale () const
PN_stdfloat | get_initial_y_scale () const
PN_stdfloat | get_initial_z_scale () const
bool | get_x_scale_flag () const
bool | get_y_scale_flag () const
bool | get_z_scale_flag () const
virtual BaseParticleRenderer * | make_copy ()
| dynamic copying
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>.
void | set_final_x_scale (PN_stdfloat final_x_scale)
void | set_final_y_scale (PN_stdfloat final_y_scale)
void | set_final_z_scale (PN_stdfloat final_z_scale)
void | set_geom_node (PandaNode *node)
void | set_initial_x_scale (PN_stdfloat initial_x_scale)
void | set_initial_y_scale (PN_stdfloat initial_y_scale)
void | set_initial_z_scale (PN_stdfloat initial_z_scale)
void | set_x_scale_flag (bool animate_x_ratio)
void | set_y_scale_flag (bool animate_y_ratio)
void | set_z_scale_flag (bool animate_z_ratio)
virtual void | write (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>.
virtual void | write_linear_forces (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>.
Public Member Functions inherited from BaseParticleRenderer
virtual | ~BaseParticleRenderer ()
| Destructor.
ParticleRendererAlphaMode | get_alpha_mode () const
bool | get_ignore_scale () const
| Returns the "ignore scale" flag.
GeomNode * | get_render_node () const
| Query the geomnode pointer.
NodePath | get_render_node_path () const
| Query the geomnode pointer.
PN_stdfloat | get_user_alpha () const
| gets alpha for "user" alpha mode
void | set_alpha_mode (ParticleRendererAlphaMode am)
void | set_color_blend_mode (ColorBlendAttrib::Mode bm, ColorBlendAttrib::Operand oa=ColorBlendAttrib::O_zero, ColorBlendAttrib::Operand ob=ColorBlendAttrib::O_zero)
| sets the ColorBlendAttrib on the _render_node
void | set_ignore_scale (bool ignore_scale)
| Sets the "ignore scale" flag.
void | set_user_alpha (PN_stdfloat ua)
| sets alpha for "user" alpha mode
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Public Types inherited from BaseParticleRenderer
enum | ParticleRendererAlphaMode { PR_ALPHA_NONE , PR_ALPHA_OUT , PR_ALPHA_IN , PR_ALPHA_IN_OUT , PR_ALPHA_USER , PR_NOT_INITIALIZED_YET }
enum | ParticleRendererBlendMethod { PP_NO_BLEND , PP_BLEND_LINEAR , PP_BLEND_CUBIC }
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

Definition at line 26 of file geomParticleRenderer.h.

## Constructor & Destructor Documentation

## ◆ GeomParticleRenderer() [1/2]

GeomParticleRenderer::GeomParticleRenderer | ( | ParticleRendererAlphaMode | am = PR_ALPHA_NONE,
|  | PandaNode * | geom_node = nullptr )
| explicit

constructor

Definition at line 28 of file geomParticleRenderer.cxx.

Referenced by GeomParticleRenderer(), and make_copy().

## ◆ GeomParticleRenderer() [2/2]

GeomParticleRenderer::GeomParticleRenderer | ( | const GeomParticleRenderer & | copy | ) |

copy constructor

Definition at line 52 of file geomParticleRenderer.cxx.

References GeomParticleRenderer().

## ◆ ~GeomParticleRenderer()

GeomParticleRenderer::~GeomParticleRenderer | ( |  | ) |
| virtual

destructor

Definition at line 73 of file geomParticleRenderer.cxx.

## Member Function Documentation

## ◆ get_color_interpolation_manager()

ColorInterpolationManager * GeomParticleRenderer::get_color_interpolation_manager | ( |  | ) | const
| inline

Definition at line 121 of file geomParticleRenderer.I.

## ◆ get_final_x_scale()

PN_stdfloat GeomParticleRenderer::get_final_x_scale | ( |  | ) | const
| inline

Definition at line 161 of file geomParticleRenderer.I.

## ◆ get_final_y_scale()

PN_stdfloat GeomParticleRenderer::get_final_y_scale | ( |  | ) | const
| inline

Definition at line 177 of file geomParticleRenderer.I.

## ◆ get_final_z_scale()

PN_stdfloat GeomParticleRenderer::get_final_z_scale | ( |  | ) | const
| inline

Definition at line 193 of file geomParticleRenderer.I.

## ◆ get_geom_node()

PandaNode * GeomParticleRenderer::get_geom_node | ( |  | ) |
| inline

Definition at line 113 of file geomParticleRenderer.I.

## ◆ get_initial_x_scale()

PN_stdfloat GeomParticleRenderer::get_initial_x_scale | ( |  | ) | const
| inline

Definition at line 153 of file geomParticleRenderer.I.

## ◆ get_initial_y_scale()

PN_stdfloat GeomParticleRenderer::get_initial_y_scale | ( |  | ) | const
| inline

Definition at line 169 of file geomParticleRenderer.I.

## ◆ get_initial_z_scale()

PN_stdfloat GeomParticleRenderer::get_initial_z_scale | ( |  | ) | const
| inline

Definition at line 185 of file geomParticleRenderer.I.

## ◆ get_x_scale_flag()

bool GeomParticleRenderer::get_x_scale_flag | ( |  | ) | const
| inline

Definition at line 129 of file geomParticleRenderer.I.

## ◆ get_y_scale_flag()

bool GeomParticleRenderer::get_y_scale_flag | ( |  | ) | const
| inline

Definition at line 137 of file geomParticleRenderer.I.

## ◆ get_z_scale_flag()

bool GeomParticleRenderer::get_z_scale_flag | ( |  | ) | const
| inline

Definition at line 145 of file geomParticleRenderer.I.

## ◆ make_copy()

BaseParticleRenderer * GeomParticleRenderer::make_copy | ( |  | ) |
| virtual

dynamic copying

Implements BaseParticleRenderer.

Definition at line 82 of file geomParticleRenderer.cxx.

References GeomParticleRenderer().

## ◆ output()

void GeomParticleRenderer::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleRenderer.

Definition at line 254 of file geomParticleRenderer.cxx.

## ◆ set_final_x_scale()

void GeomParticleRenderer::set_final_x_scale | ( | PN_stdfloat | final_x_scale | ) |
| inline

Definition at line 68 of file geomParticleRenderer.I.

## ◆ set_final_y_scale()

void GeomParticleRenderer::set_final_y_scale | ( | PN_stdfloat | final_y_scale | ) |
| inline

Definition at line 86 of file geomParticleRenderer.I.

## ◆ set_final_z_scale()

void GeomParticleRenderer::set_final_z_scale | ( | PN_stdfloat | final_z_scale | ) |
| inline

Definition at line 104 of file geomParticleRenderer.I.

## ◆ set_geom_node()

void GeomParticleRenderer::set_geom_node | ( | PandaNode * | node | ) |
| inline

Definition at line 22 of file geomParticleRenderer.I.

## ◆ set_initial_x_scale()

void GeomParticleRenderer::set_initial_x_scale | ( | PN_stdfloat | initial_x_scale | ) |
| inline

Definition at line 59 of file geomParticleRenderer.I.

## ◆ set_initial_y_scale()

void GeomParticleRenderer::set_initial_y_scale | ( | PN_stdfloat | initial_y_scale | ) |
| inline

Definition at line 77 of file geomParticleRenderer.I.

## ◆ set_initial_z_scale()

void GeomParticleRenderer::set_initial_z_scale | ( | PN_stdfloat | initial_z_scale | ) |
| inline

Definition at line 95 of file geomParticleRenderer.I.

## ◆ set_x_scale_flag()

void GeomParticleRenderer::set_x_scale_flag | ( | bool | animate_x_ratio | ) |
| inline

Definition at line 32 of file geomParticleRenderer.I.

## ◆ set_y_scale_flag()

void GeomParticleRenderer::set_y_scale_flag | ( | bool | animate_y_ratio | ) |
| inline

Definition at line 41 of file geomParticleRenderer.I.

## ◆ set_z_scale_flag()

void GeomParticleRenderer::set_z_scale_flag | ( | bool | animate_z_ratio | ) |
| inline

Definition at line 50 of file geomParticleRenderer.I.

## ◆ write()

void GeomParticleRenderer::write | ( | std::ostream & | out,
|  | int | indent = 0 ) const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleRenderer.

Definition at line 280 of file geomParticleRenderer.cxx.

References indent(), BaseParticleRenderer::write(), and write_linear_forces().

## ◆ write_linear_forces()

void GeomParticleRenderer::write_linear_forces | ( | std::ostream & | out,
|  | int | indent = 0 ) const
| virtual

Write a string representation of this instance to <out>.

Definition at line 264 of file geomParticleRenderer.cxx.

References indent().

Referenced by write().

The documentation for this class was generated from the following files:

- panda/src/particlesystem/geomParticleRenderer.h
- panda/src/particlesystem/geomParticleRenderer.cxx
- panda/src/particlesystem/geomParticleRenderer.I